#!/usr/bin/python3
"""
make distrodb from apt-rpm pkglist.
"""
import DistroDbMaker
from DistroDbMaker.SrcRPM2DistroDB import SrcRPM2DistroDB

class SrcRepoReader(DistroDbMaker.RepoReader):

    def __init__(self, verbose=0):
        super().__init__(verbose)
        self.rpmheader_handler=SrcRPM2DistroDB(verbose)
        # the filelists file not used - do not read at all
        self.process_repodata_filelists_xml = None

    def usage(self):
        super().usage()
        print ('--write_src_summary_description')

    def set_default_opt_handlers(self):
        super().set_default_opt_handlers()
        self.add_longopt('write_src_summary_description')
        self.set_opt_handler('--write_src_summary_description', lambda reader,o,a: reader.set_write_src_summary_description(True))

    def set_write_src_summary_description(self, flag):
        self.rpmheader_handler.write_src_summary_description=flag

if __name__ == '__main__':
    reader=SrcRepoReader()
    reader.run()
